#ifndef __NODE_H__
#define __NODE_H__

#include <iostream>
#include <string>
using namespace std;

class Node 
{
	string label;
	bool heavy;			// is in heavy path
	int index;			// index in the Post Order traversal of the tree
	int LTRP;			// Left-To-Right Preorder traversal value
	int RTLP;			// Right-To-Left Preorder traversal value
	int DC;				// Delete-Cost of the Fk tree which is represented by that node
	int DT;				// cost to delete the tree rooted at this node

public:
	Node();
	Node(string label1, bool heavy1);

	string getLabel() {return label;};
	bool getHeavy() {return heavy;};
	int getIndex() {return index;};
	int getLTRP() {return LTRP;};
	int getRTLP() {return RTLP;};
	int getDC() {return DC;};
	int getDT() {return DT;};

	void setLabel(string label1) {label=label1;};
	void setHeavy(bool heavy1) {heavy=heavy1;};
	void setIndex(int index1) {index=index1;};
	void setLTRP(int LTRP1) {LTRP=LTRP1;};
	void setRTLP(int RTLP1) {RTLP=RTLP1;};
	void setDC(int DC1) {DC=DC1;};
	void setDT(int DT1) {DT=DT1;};


};

#endif //__NODE_H__*/
